module MediaPaths
  SERIES_BASE = "#{Dir.home}/Movies/series".freeze
  MOVIES_BASE = "#{Dir.home}/Movies/movies".freeze

  # Series

  def series_path(episode)
    nil unless episode
    "#{SERIES_BASE}/#{episode.series}"
  end

  def episode_path(episode)
    nil unless episode
    "#{series_path(episode)}/#{episode.title}.#{episode.format}"
  end

  def series_base
    SERIES_BASE
  end

  # Movies

  def movie_path(movie)
    nil unless movie
    "#{MOVIES_BASE}/#{movie.title}.#{movie.format}"
  end

  def movies_base
    MOVIES_BASE
  end
end
