require 'media/runner/app/file_check'
require 'media/runner/app/media_paths'
require 'media/runner/app/vlc_check'

module Media
  class Movie
    include FileCheck, VlcCheck, MediaPaths

    def initialize(title, format = nil)
      @title = title
      @format = format
    end

    attr_accessor :title, :format

    def run
      vlc_installed?

      unless movie_exists?(self)
        Media::Printer.output ["#{movie_path(self)} doesn't exist. Did you type the movie name correctly?"]
        exit 1
      end

      Media::Printer.output ["Playing movie #{title}. ENJOY!"]
      `zsh -c "#{Dir.home}/Applications/VLC.app/Contents/MacOS/VLC --fullscreen #{movie_path(self)} > /dev/null \
       2>&1 &!"`
      exit 0
    end
  end
end
